Tecnologia e non solo

agosto 29, 2007

Fusion e Wine 0.9.44 qualche incompatibilità.

Filed under: Compiz-core,Fusion,Varie — telperion @ 4:25 pm

Con il recente Wine 0.9.44 le applicazioni che usano Wine
con Compiz-Fusion perdono le decorazioni della finestra.
Consiglio di restare o downgradare alla versione 0.9.43
fintanto che il team Wine o Compiz-Fusion (bho?)
non pongano rimedio al problemino.

Problema verificato con Ubuntu Feisty ed Archlinux.

Annunci

11 commenti

  1. Si ma è un baco strano.

    Esempio: Ultima Online appena lo avvio, mentre faccio il login non ha le decorazioni, ma appena effettuato il login compaiono -.-

    Un’altro programma le ha e basta -.-

    E comunque il tutto si risolve disabilitanto in winecfg l’opzione “let window manager control the window” o qualcosa del genere :p

    Commento di Cobra78 — agosto 29, 2007 @ 6:28 pm

  2. @Cobra: buono a sapersi, io per ora sono tornato al 43 tanto non cambia nulla, anche se lanci un programma wine da metacity e poi passi a Compiz le decorazioni restano.
    Vediamo se mettono una pezza, altrimenti userò l’opzione che dici.

    Commento di telperion — agosto 29, 2007 @ 6:47 pm

  3. Occhio però che con quell’opzione non gestisce bene, ma proprio per niente, minimizzazione, massimizzazione e primo/secondo piano, certo se usi wine con giochi full screen o applicazioni che restano in finestre relativamente ridotte puoi fregartene allegramente 🙂

    Commento di Cobra78 — agosto 29, 2007 @ 7:17 pm

  4. problema riscontrato sia con beryl che con fusion , direi che il problema e’ di WINE ;-D aspettiamo una vendemmia migliore ;-D

    Commento di zorrociccio — agosto 30, 2007 @ 2:09 am

  5. wine 0.9.45 stesso problema , mi sa’ che nessuno si e accorto di questo bugzzzzzzz .. niente da fare bisogna tenersi il 0.9.43 a vita ;-p

    Commento di zorrociccio — settembre 15, 2007 @ 4:57 pm

  6. @zorrociccio:
    ho fatto il makepkg della 0.9.45 ora e con la build di Compiz/fusion “master-noxcb” di oggi funziona tutto senza problemi.
    Spariti anche i problemi di posizionamento sotto il panello gnome, di winecfg (vedi post Lucidare i sassi..).

    Commento di telperion — settembre 15, 2007 @ 6:30 pm

  7. @telperion

    Hai ragione , mi ero dimenticato di switchare su CFusion ;-D .. su Beryl non va’ ..proabilmente non andra’ mai piu’ ;-D su su su ..e’ stato fatto apposta perche la gente tolga beryl e installi CFusion ..se vuole utilizzare i latest di Wine ;-D

    ehehe

    Commento di zorrociccio — settembre 15, 2007 @ 8:52 pm

  8. @telperion

    OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC!

    non so se ti sei accorto , ma l’ultimo “makefusion8” ..probabilmente anche i precedenti ..con Gnome Lenny ha problemi con i pkg.

    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libopencdk10-dev: Conflicts: libopencdk-dev
    libopencdk8-dev: Conflicts: libopencdk-dev
    E: Broken packages

    come al solito lenny ha toccato di nuovo qualcosa ;-D

    OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC! OFFTOPIC!

    ps: puoi cancellare questo post.

    Commento di zorrociccio — settembre 15, 2007 @ 8:56 pm

  9. @zorrociccio succede perchè cambiano i nomi ai pacchetti basta che cambi nello script
    nella parte
    elif [ $DISTRO = “lenny-gnome” ] e
    elif [ $DISTRO = “lenny-kde” ]

    libopencdk8-dev
    con
    libopencdk10-dev
    e tutto va a posto. (Come è gia in SID)

    E’ una cosa abbastanza semplice che può fare chiunque
    Io non posso stare dietro ai continui cambio di nomi dei pacchetti, ma già l’errore se apri synaptic e cerchi i pacchetti ti dà la soluzione.

    Commento di telperion — settembre 15, 2007 @ 9:03 pm

  10. Comunque script aggiornato con nuove dipendenze.
    Grazie per la segnalazione.

    Commento di telperion — settembre 15, 2007 @ 9:09 pm

  11. ok telperion , io difatti lo cambiato , onestamente a me serve poco riscaricarmi tutti i pkg, siccome gli ho gia’ tutti installati ;-D e’ stato solo un caso che ho fatto “packages” al posto di “clone” ;-D , era solo per dirti se volevi aggiornare lo script , questo script risulta essere utile per molte ..molte persone.

    Commento di zorrociccio — settembre 15, 2007 @ 10:57 pm


RSS feed for comments on this post.

%d blogger hanno fatto clic su Mi Piace per questo: